#ifndef BON_IO
#define BON_IO

#include <stdio.h>
#include "bonnie.h"
#include "bon_time.h"

typedef unsigned long MASK_TYPE;

class COpenTest
{
public:
  COpenTest();
  ~COpenTest();

  int create(CPCCHAR dirname, BonTimer &timer, int num, int max_size
                    , int min_size, bool do_random);
  int delete_random(BonTimer &timer);
  int delete_sequential(BonTimer &timer);
  int stat_random(BonTimer &timer);
  int stat_sequential(BonTimer &timer);

private:
  void make_names(bool do_random);
  int stat_file(CPCCHAR file);

  int m_number;
  int m_max;
  int m_min;
  int m_size_range;
  MASK_TYPE *m_used;
  int m_used_size;
  char *m_dirname;
  char *m_file_name_buf;
  char **m_file_names;
  int m_mask_bits;
  int m_last_mask;

  bool test_used(int num)
  {
    return bool(m_used[num >> m_mask_bits] & (1 << (num & m_last_mask)));
  }
  void set_used(int num)
  {
    m_used[num >> m_mask_bits] |= (1 << (num & m_last_mask));
  }
  void set_unused(int num)
  {
    m_used[num >> m_mask_bits] &= ~(1 << (num & m_last_mask));
  }
  int get_random(bool set);

  COpenTest(const COpenTest &t);
  COpenTest & operator =(const COpenTest &t);
};

#endif
